lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "siren/version"

Gem::Specification.new do |spec|
  spec.name          = "altaire-siren"
  spec.version       = Siren::VERSION
  spec.authors       = ["Nathan Baum"]
  spec.email         = ["nathan@altaire.com"]

  spec.summary       = %q{Kubernetes controller and client utility}
  spec.homepage      = "http://docs.altaire.xyz/siren"
  spec.license       = "MIT"

  spec.metadata["homepage_uri"] = spec.homepage

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "jose", "1.1.3"
  spec.add_dependency "clamp", "1.3.1"
  spec.add_dependency "json-schema", "2.8.1"

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.2"
  spec.add_development_dependency "cucumber"
  spec.add_development_dependency "aruba"
end
