# Crypto

## encrypt

```bash
siren crypto encrypt [--pubkey=public.jwk] WORDS...
```

Encrypt the words using the public key. The resulting output can only be decrypted using the corresponding private key.

## decrypt

```bash
siren crypto decrypt [--privkey=private.jwk] CIPHERTEXT
```

Decrypt the encrypted data using the private key. This can only decrypt data that was encrypted using the corresponding public key.

## genkeys

```bash
siren crypto genkeys [--force] [--privkey=private.jwk] [--pubkey=public.jwk]
```

Generates a pair of encryption keys. Usually, you'll want to use the already-created encryption keys. This command should only need to be used if it's necessary to replace those keys.
